Subject: bug#32280: 26.1; FLYSPELL-BUFFER sometimes misbehaves for some input in a large enough buffer

From: Artem Boldarev <[email-masked]>
Date: Mon, 30 Jul 2018 13:00:38 +0300

Hi,

Yes, there is a clear pattern. The wrong behaviour appears only when the 
word in Latin, which follows the Cyrillic one, has the length more or 
equal to the length of a preceding word.

Here is  the sample text:

https://chaoticlab.io/pub/flyspell-bug/sample2/flyspell-sample2.txt

Instructions for the bug reproduction are the same:

https://chaoticlab.io/pub/flyspell-bug/flyspell-bug-reproduction.el

Screenshot without the provided fix:

https://chaoticlab.io/pub/flyspell-bug/sample2/flyspell-bug-sample2.png

Screenshot with the provided fix:

https://chaoticlab.io/pub/flyspell-bug/sample2/flyspell-bug-sample2-fixed.png

It seems logical to me that the provided fix is sufficient for this case 
considering what was changed in the problematic function.

Regards,
Artem

> > https://chaoticlab.io/pub/flyspell-bug/flyspell-bug-linux.png
> > https://chaoticlab.io/pub/flyspell-bug/flyspell-bug-windows.png
>
> From these images it seems immediately evident that flyspell wrongly
> marks и, именно, бесконечный and усложняет as misspelled only when a
> non-cyrillic word follows it.  However, as paragraph 4 in these
> examples also demonstrates, such condition is not sufficient since
> there the words preceding 'HTML' and 'Lorem Ipsum' are not marked.
>
> Could you try to play around with the seqeuencing of words in that
> example?  Maybe a clearer pattern emerges.
>
> Thanks, martin
>